org.apache.xpath.compiler

## Class Keywords

- java.lang.Object
- - org.apache.xpath.compiler.Keywords

-     public class Keywords
      extends java.lang.Object

  Table of strings to operation code lookups.
  Usage:
    **For internal use only**

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FUNC_BOOLEAN_STRING` boolean function string.
    `static java.lang.String` | `FUNC_CEILING_STRING` ceiling function string.
    `static java.lang.String` | `FUNC_CONCAT_STRING` concat function string.
    `static java.lang.String` | `FUNC_CONTAINS_STRING` contains function string.
    `static java.lang.String` | `FUNC_COUNT_STRING` count function string.
    `static java.lang.String` | `FUNC_CURRENT_STRING` current function string.
    `static java.lang.String` | `FUNC_DOCLOCATION_STRING` current function string (Proprietary).
    `static java.lang.String` | `FUNC_EXT_ELEM_AVAILABLE_STRING` element-available function string (XSLT).
    `static java.lang.String` | `FUNC_EXT_FUNCTION_AVAILABLE_STRING` function-available function string (XSLT).
    `static java.lang.String` | `FUNC_FALSE_STRING` false function string.
    `static java.lang.String` | `FUNC_FLOOR_STRING` floor function string.
    `static java.lang.String` | `FUNC_GENERATE_ID_STRING` generate-id function string (XSLT).
    `static java.lang.String` | `FUNC_KEY_STRING` key function string (XSLT).
    `static java.lang.String` | `FUNC_LANG_STRING` lang function string.
    `static java.lang.String` | `FUNC_LAST_STRING` last function string.
    `static java.lang.String` | `FUNC_LOCAL_PART_STRING` local-name function string.
    `static java.lang.String` | `FUNC_NAME_STRING` name function string.
    `static java.lang.String` | `FUNC_NAMESPACE_STRING` namespace-uri function string.
    `static java.lang.String` | `FUNC_NORMALIZE_SPACE_STRING` normalize-space function string.
    `static java.lang.String` | `FUNC_NOT_STRING` not function string.
    `static java.lang.String` | `FUNC_NUMBER_STRING` number function string.
    `static java.lang.String` | `FUNC_POSITION_STRING` position function string.
    `static java.lang.String` | `FUNC_ROUND_STRING` round function string.
    `static java.lang.String` | `FUNC_STARTS_WITH_STRING` starts-with function string.
    `static java.lang.String` | `FUNC_STRING_LENGTH_STRING` string-length function string.
    `static java.lang.String` | `FUNC_STRING_STRING` string function string.
    `static java.lang.String` | `FUNC_SUBSTRING_AFTER_STRING` substring-after function string.
    `static java.lang.String` | `FUNC_SUBSTRING_BEFORE_STRING` substring-before function string.
    `static java.lang.String` | `FUNC_SUBSTRING_STRING` substring function string.
    `static java.lang.String` | `FUNC_SUM_STRING` sum function string.
    `static java.lang.String` | `FUNC_SYSTEM_PROPERTY_STRING` system-property function string.
    `static java.lang.String` | `FUNC_TRANSLATE_STRING` translate function string.
    `static java.lang.String` | `FUNC_TRUE_STRING` true function string.
    `static java.lang.String` | `FUNC_UNPARSED_ENTITY_URI_STRING` unparsed-entity-uri function string (XSLT).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Keywords()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FUNC_CURRENT_STRING

          public static final java.lang.String FUNC_CURRENT_STRING

      current function string.
      See Also:
        Constant Field Values

    - #### FUNC_LAST_STRING

          public static final java.lang.String FUNC_LAST_STRING

      last function string.
      See Also:
        Constant Field Values

    - #### FUNC_POSITION_STRING

          public static final java.lang.String FUNC_POSITION_STRING

      position function string.
      See Also:
        Constant Field Values

    - #### FUNC_COUNT_STRING

          public static final java.lang.String FUNC_COUNT_STRING

      count function string.
      See Also:
        Constant Field Values

    - #### FUNC_KEY_STRING

          public static final java.lang.String FUNC_KEY_STRING

      key function string (XSLT).
      See Also:
        Constant Field Values

    - #### FUNC_LOCAL_PART_STRING

          public static final java.lang.String FUNC_LOCAL_PART_STRING

      local-name function string.
      See Also:
        Constant Field Values

    - #### FUNC_NAMESPACE_STRING

          public static final java.lang.String FUNC_NAMESPACE_STRING

      namespace-uri function string.
      See Also:
        Constant Field Values

    - #### FUNC_NAME_STRING

          public static final java.lang.String FUNC_NAME_STRING

      name function string.
      See Also:
        Constant Field Values

    - #### FUNC_GENERATE_ID_STRING

          public static final java.lang.String FUNC_GENERATE_ID_STRING

      generate-id function string (XSLT).
      See Also:
        Constant Field Values

    - #### FUNC_NOT_STRING

          public static final java.lang.String FUNC_NOT_STRING

      not function string.
      See Also:
        Constant Field Values

    - #### FUNC_TRUE_STRING

          public static final java.lang.String FUNC_TRUE_STRING

      true function string.
      See Also:
        Constant Field Values

    - #### FUNC_FALSE_STRING

          public static final java.lang.String FUNC_FALSE_STRING

      false function string.
      See Also:
        Constant Field Values

    - #### FUNC_BOOLEAN_STRING

          public static final java.lang.String FUNC_BOOLEAN_STRING

      boolean function string.
      See Also:
        Constant Field Values

    - #### FUNC_LANG_STRING

          public static final java.lang.String FUNC_LANG_STRING

      lang function string.
      See Also:
        Constant Field Values

    - #### FUNC_NUMBER_STRING

          public static final java.lang.String FUNC_NUMBER_STRING

      number function string.
      See Also:
        Constant Field Values

    - #### FUNC_FLOOR_STRING

          public static final java.lang.String FUNC_FLOOR_STRING

      floor function string.
      See Also:
        Constant Field Values

    - #### FUNC_CEILING_STRING

          public static final java.lang.String FUNC_CEILING_STRING

      ceiling function string.
      See Also:
        Constant Field Values

    - #### FUNC_ROUND_STRING

          public static final java.lang.String FUNC_ROUND_STRING

      round function string.
      See Also:
        Constant Field Values

    - #### FUNC_SUM_STRING

          public static final java.lang.String FUNC_SUM_STRING

      sum function string.
      See Also:
        Constant Field Values

    - #### FUNC_STRING_STRING

          public static final java.lang.String FUNC_STRING_STRING

      string function string.
      See Also:
        Constant Field Values

    - #### FUNC_STARTS_WITH_STRING

          public static final java.lang.String FUNC_STARTS_WITH_STRING

      starts-with function string.
      See Also:
        Constant Field Values

    - #### FUNC_CONTAINS_STRING

          public static final java.lang.String FUNC_CONTAINS_STRING

      contains function string.
      See Also:
        Constant Field Values

    - #### FUNC_SUBSTRING_BEFORE_STRING

          public static final java.lang.String FUNC_SUBSTRING_BEFORE_STRING

      substring-before function string.
      See Also:
        Constant Field Values

    - #### FUNC_SUBSTRING_AFTER_STRING

          public static final java.lang.String FUNC_SUBSTRING_AFTER_STRING

      substring-after function string.
      See Also:
        Constant Field Values

    - #### FUNC_NORMALIZE_SPACE_STRING

          public static final java.lang.String FUNC_NORMALIZE_SPACE_STRING

      normalize-space function string.
      See Also:
        Constant Field Values

    - #### FUNC_TRANSLATE_STRING

          public static final java.lang.String FUNC_TRANSLATE_STRING

      translate function string.
      See Also:
        Constant Field Values

    - #### FUNC_CONCAT_STRING

          public static final java.lang.String FUNC_CONCAT_STRING

      concat function string.
      See Also:
        Constant Field Values

    - #### FUNC_SYSTEM_PROPERTY_STRING

          public static final java.lang.String FUNC_SYSTEM_PROPERTY_STRING

      system-property function string.
      See Also:
        Constant Field Values

    - #### FUNC_EXT_FUNCTION_AVAILABLE_STRING

          public static final java.lang.String FUNC_EXT_FUNCTION_AVAILABLE_STRING

      function-available function string (XSLT).
      See Also:
        Constant Field Values

    - #### FUNC_EXT_ELEM_AVAILABLE_STRING

          public static final java.lang.String FUNC_EXT_ELEM_AVAILABLE_STRING

      element-available function string (XSLT).
      See Also:
        Constant Field Values

    - #### FUNC_SUBSTRING_STRING

          public static final java.lang.String FUNC_SUBSTRING_STRING

      substring function string.
      See Also:
        Constant Field Values

    - #### FUNC_STRING_LENGTH_STRING

          public static final java.lang.String FUNC_STRING_LENGTH_STRING

      string-length function string.
      See Also:
        Constant Field Values

    - #### FUNC_UNPARSED_ENTITY_URI_STRING

          public static final java.lang.String FUNC_UNPARSED_ENTITY_URI_STRING

      unparsed-entity-uri function string (XSLT).
      See Also:
        Constant Field Values

    - #### FUNC_DOCLOCATION_STRING

          public static final java.lang.String FUNC_DOCLOCATION_STRING

      current function string (Proprietary).
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Keywords

          public Keywords()

Copyright © 2014 Apache XML Project. All Rights Reserved.